Novell Home

My Favorites

Close

Please to see your favorites.

Applying oes11-edirectory-886-patch6-6158.noarch conflicts with novell-ndsbase.x86_64.

This document (7010864) is provided subject to the disclaimer at the end of this document.

Environment

Novell Open Enterprise Server 11 (OES 11) Linux
Novell ConsoleOne 1.3.6
NetIQ eDirectory v8.8.6 and later


Situation

Customers running Novell GroupWise on Novell Open Enterprise Server 11, that have ConsoleOne installed on the server, will run into a series of package dependency warnings on conflicts in NDSbase versions.

During the patching exercise, the following warning message is encountered :

Possible solutions:
[ ] Following actions will be done: see below
[ ] replacement of NDSbase-8.7.3.6-38.i386 with novell-NDSbase-8.8.6.6-1.1.x86_64
[ ] do not install patch:oes11-edirectory-886-patch6-6158.noarch

deinstallation of novell-NDSbase-8.8.6.5-3.29.x86_64
deinstallation of yast2-novell-schematool-2.13.2-4.360.noarch
deinstallation of novell-NDSserv-8.8.6.5-3.29.x86_64
deinstallation of novell-NOVLembox-8.8.6.5-3.90.x86_64
deinstallation of novell-NDSimon-8.8.6.5-3.90.x86_64
deinstallation of novell-NDSrepair-8.8.6.3-5.38.x86_64
deinstallation of novell-kerberos-ldpa-extensions-1.5.55.54.x86_64
deinstallation of novell-migration-edirectory-0.1.0-70.481.x86_64
deinstallation of novell-npkiserver-3.3.5-2.418.x86_64
deinstallation of novell-sasl-gssapi-method-2.8.3.3-4.1.x86-64


Resolution

Please make sure to select/check the option :

replacement of NDSbase-8.7.3.6-38.i386 with novell-NDSbase-8.8.6.6-1.1.x86_64

This will ensure that eDirectory is updated properly and no eDirectory depending modules are inadvertently downgraded and cause additional problems.
Be aware that not selecting the option to downgrade NDSbase will severely impact server stability and operation

Once the upgrade has finished, it may be required to re-install ConsoleOne to continue managing GroupWise on the server directly.
Be prepared however that there is a risk the next eDirectory patch will exhibit the exact same behavior, and the same procedure needs to be applied.

Cause

The root cause of this dependency problem is that ConsoleOne is installed directly on the OES11 server to ease GroupWise administration.

ConsoleOne is no longer under active development, and is only supported when used to manage GroupWise. As ConsoleOne is packaged with it's own (and 'older') version of NDSbase, this conflicts with the versions that are typically updated and released with eDirectory updates through patches.

Additional Information

Screenshot of the problem :


Disclaimer

This Support Knowledgebase provides a valuable tool for NetIQ/Novell/SUSE customers and parties interested in our products and solutions to acquire information, ideas and learn from one another. Materials are provided for informational, personal or non-commercial use within your organization and are presented "AS IS" WITHOUT WARRANTY OF ANY KIND.

  • Document ID:7010864
  • Creation Date:03-OCT-12
  • Modified Date:16-MAY-13
    • NovellOpen Enterprise Server
    • NetIQeDirectory

Did this document solve your problem? Provide Feedback